/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * CreateGasResponse
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CreateGasResponse {
  @SerializedName("declaration_id")
  private String declarationId = null;

  public CreateGasResponse declarationId(String declarationId) {
    this.declarationId = declarationId;
    return this;
  }

   /**
   * Unique request identifier
   * @return declarationId
  **/
  @ApiModelProperty(value = "Unique request identifier")
  public String getDeclarationId() {
    return declarationId;
  }

  public void setDeclarationId(String declarationId) {
    this.declarationId = declarationId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateGasResponse createGasResponse = (CreateGasResponse) o;
    return Objects.equals(this.declarationId, createGasResponse.declarationId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(declarationId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateGasResponse {\n");
    
    sb.append("    declarationId: ").append(toIndentedString(declarationId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

